EDIT - bug #2592

InvalidDataAccessApiUsageException when saving description scope
09/12/2011 03:38 PM - Niels Hoffmann

Status: Worksforme Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version:

Severity: normal Found in Version:

Description

'ENTRY org.eclipse.ui 2 0 2011-09-12 15:34:57.330
IMESSAGE Save Failed
!STACK O
org.springframework.dao.InvalidDataAccessApiUsageException: object references an unsaved transient
instance - save the transient instance before flushing: eu.etaxonomy.cdm.model.description.Scope;
nested exception is org.hibernate.TransientObjectException: object references an unsaved transien
t instance - save the transient instance before flushing: eu.etaxonomy.cdm.model.description.Scope

at org.springframework.orm.hibernate3.SessionFactoryUtils.convertHibernateAccessException (Sess
ionFactoryUtils. java:654)

at org.springframework.orm.hibernate3.HibernateTransactionManager.convertHibernateAccessExcept
ion (HibernateTransactionManager. java:793)

at org.springframework.orm.hibernate3.HibernateTransactionManager.doCommit (HibernateTransactio
nManager. java: 664)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.processCommit (Ab
stractPlatformTransactionManager. java:754)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.commit (AbstractP
latformTransactionManager.java:723)

at eu.etaxonomy.cdm.api.conversation.ConversationHolder.commit (ConversationHolder.java:218)

at eu.etaxonomy.taxeditor.editor.MultiPageTaxonEditor.doSave (MultiPageTaxonEditor.java:130)

at org.eclipse.ui.internal.SaveableHelper$2.run (SaveableHelper. java:151)

at org.eclipse.ui.internal.SaveableHelper$5.run(SaveableHelper. java:277)

at org.eclipse.jface.operation.ModalContext.runInCurrentThread (ModalContext.java:464)

at org.eclipse.jface.operation.ModalContext.run (ModalContext. java:372)

at org.eclipse.jface.window.ApplicationWindow$1l.run (ApplicationWindow. java:759)

at org.eclipse.swt.custom.BusyIndicator.showWhile (BusyIndicator.java:70)

at org.eclipse.jface.window.ApplicationWindow.run (ApplicationWindow. java:756)

at org.eclipse.ui.internal.WorkbenchWindow.run (WorkbenchWindow. java:2642)

at org.eclipse.ui.internal.SaveableHelper.runProgressMonitorOperation (SaveableHelper. java:285)

at org.eclipse.ui.internal.SaveableHelper.runProgressMonitorOperation (SaveableHelper. java:264)

at org.eclipse.ui.internal.SaveableHelper.savePart (SaveableHelper. java:156)

at org.eclipse.ui.internal.EditorManager.savePart (EditorManager.java:1399)

at org.eclipse.ui.internal.WorkbenchPage.savePart (WorkbenchPage.java:3416)

at org.eclipse.ui.internal.WorkbenchPage.saveEditor (WorkbenchPage.java:3429)

at org.eclipse.ui.internal.handlers.SaveHandler.execute (SaveHandler. java:54)

at org.eclipse.ui.internal.handlers.HandlerProxy.execute (HandlerProxy. java:293)

at org.eclipse.core.commands.Command.executeWithChecks (Command. java:476)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:
508)

at org.eclipse.ui.internal.handlers.HandlerService.executeCommand (HandlerService.java:169)

at org.eclipse.ui.internal.keys.WorkbenchKeyboard.executeCommand (WorkbenchKeyboard. java:468)

at org.eclipse.ui.internal.keys.WorkbenchKeyboard.press (WorkbenchKeyboard. java:786)

at org.eclipse.ui.internal.keys.WorkbenchKeyboard.processKeyEvent (WorkbenchKeyboard. java:885)

at org.eclipse.ui.internal.keys.WorkbenchKeyboard.filterKeySequenceBindings (WorkbenchKeyboard.
java:567)

at org.eclipse.ui.internal.keys.WorkbenchKeyboard.access$3 (WorkbenchKeyboard. java:508)

at org.eclipse.ui.internal.keys.WorkbenchKeyboard$KeyDownFilter.handleEvent (WorkbenchKeyboard.
java:123)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.filterEvent (Display.java:1531)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1257)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1282)
org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1267)
org.eclipse.swt.widgets.Widget.sendKeyEvent (Widget. java:1294)
org.eclipse.swt.widgets.Widget.gtk_key_press_event (Widget.java:730)
org.eclipse.swt.widgets.Control.gtk_key_ press_event (Control. java:3019)
org.eclipse.swt.widgets.Composite.gtk_key_press_event (Composite.java:734)
org.eclipse.swt.widgets.Combo.gtk_key_press_event (Combo. java:1415)
org.eclipse.swt.widgets.Widget.windowProc (Widget. java:1743)
org.eclipse.swt.widgets.Control.windowProc (Control. java:5016)
org.eclipse.swt.widgets.Display.windowProc (Display. java:4408)
org.eclipse.swt.internal.gtk.0S._gtk_main_do_event (Native Method)
org.eclipse.swt.internal.gtk.0S.gtk_main_do_event (0OS.java:8394)
org.eclipse.swt.widgets.Display.eventProc (Display.java:1245)
org.eclipse.swt.internal.gtk.0S._g_main_context_iteration (Native Method)
org.eclipse.swt.internal.gtk.0S.g_main_context_iteration (0S. java:2258)
org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3207)
org.eclipse.ui.internal.Workbench.runEventLoop (Workbench.java:2696)
org.eclipse.ui.internal.Workbench.runUI (Workbench. java:2660)
org.eclipse.ui.internal.Workbench.access$4 (Workbench. java:2494)
org.eclipse.ui.internal.Workbench$7.run (Workbench. java:674)
org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:332)
org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:667)
org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:149)
eu.etaxonomy.taxeditor.Application.start (Application. java:24)
org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc

her.java:110)
Caused

org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:

org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:344)
org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter.java:179)
sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:39)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:25)
java.lang.reflect.Method. invoke (Method. java:597)
org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:622)
org.eclipse.equinox.launcher.Main.basicRun (Main. java:577)
org.eclipse.equinox.launcher.Main.run (Main.java:1410)
org.eclipse.equinox.launcher.Main.main (Main.java:1386)

by: org.hibernate.TransientObjectException: object references an unsaved transient instance

- save the transient instance before flushing: eu.etaxonomy.cdm.model.description.Scope

at
at
at
at

org.hibernate.engine.ForeignKeys.getEntityIdentifierIfNotUnsaved (ForeignKeys. java:242)
org.hibernate.type.EntityType.getIdentifier (EntityType.java:430)
org.hibernate.type.ManyToOneType.nullSafeSet (ManyToOneType. java:101)
org.hibernate.persister.collection.AbstractCollectionPersister.writeElement (AbstractCollect

ionPersister. java:805)

at

org.hibernate.persister.collection.AbstractCollectionPersister.insertRows (AbstractCollectio

nPersister.java:1414)

at
at
at
at
at

org.hibernate.action.CollectionUpdateAction.execute (CollectionUpdateAction. java:86)
org.hibernate.engine.ActionQueue.execute (ActionQueue. java:279)
org.hibernate.engine.ActionQueue.executeActions (ActionQueue. java:263)
org.hibernate.engine.ActionQueue.executeActions (ActionQueue. java:170)
org.hibernate.event.def.AbstractFlushingEventListener.performExecutions (AbstractFlushingEve

ntListener.java:322)

at

at
at
at

org.hibernate.event.def.DefaultFlushEventListener.onFlush (DefaultFlushEventListener. java:50

org.hibernate.impl.SessionImpl.flush(SessionImpl. java:1031)
org.hibernate.impl.SessionImpl.managedFlush (SessionImpl. java:369)
org.hibernate.transaction.JDBCTransaction.commit (JDBCTransaction. java:137)
org.springframework.orm.hibernate3.HibernateTransactionManager.doCommit (HibernateTransactio

nManager. java:656)

69 more

History

#1 - 09/13/2011 02:43 PM - Andreas Miller

- Assignee changed from Andreas Miiller to Niels Hoffmann
Looks like this is not a library issue. | created a test for persisting description.scope and it seems to run (r13005).

#2 - 09/23/2011 01:08 PM - Andreas Kohlbecker
- Target version set to TaxEditor RELEASE 3.0.9

Milestone TaxEditor RELEASE 3.0.8 deleted

#3 - 02/08/2012 10:54 AM - Niels Hoffmann
- Target version changed from TaxEditor RELEASE 3.0.9 to TaxEditor Next Major Release

#4 - 05/02/2016 05:21 PM - Andreas Miiller
- Assignee changed from Niels Hoffmann to Andreas Miiller

- Target version changed from TaxEditor Next Major Release to Unassigned CDM tickets

Is this still an open issue?

#5 - 10/11/2021 08:52 PM - Andreas Miiller
- Description updated
- Status changed from New to Worksforme

- Target version deleted (Unassigned CDM tickets)

| could save a scope for a description now so | guess this issue is solved in the meanwhile.

#6 - 10/11/2021 08:52 PM - Andreas Miiller

- Private changed from Yes to No
